# Uses of Enum
com.databricks.jdbc.model.client.thrift.generated.TGetDelegationTokenResp._Fields

Packages that use TGetDelegationTokenResp._Fields
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetDelegationTokenResp._Fields in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TGetDelegationTokenResp._Fields in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`static enum`
`TGetDelegationTokenResp._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.
Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetDelegationTokenResp._Fields
Modifier and Type
Class
Description
`class`
`TGetDelegationTokenResp`
Fields in com.databricks.jdbc.model.client.thrift.generated with type parameters of type TGetDelegationTokenResp._Fields
Modifier and Type
Field
Description
`static final Map<TGetDelegationTokenResp._Fields,org.apache.thrift.meta_data.FieldMetaData>`
TGetDelegationTokenResp.`metaDataMap`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetDelegationTokenResp._Fields
Modifier and Type
Method
Description
`TGetDelegationTokenResp._Fields`
TGetDelegationTokenResp.`fieldForId(int fieldId)`
`static TGetDelegationTokenResp._Fields`
TGetDelegationTokenResp._Fields.`findByName(String name)`
Find the _Fields constant that matches name, or null if its not found.
`static TGetDelegationTokenResp._Fields`
TGetDelegationTokenResp._Fields.`findByThriftId(int fieldId)`
Find the _Fields constant that matches fieldId, or null if its not found.
`static TGetDelegationTokenResp._Fields`
TGetDelegationTokenResp._Fields.`findByThriftIdOrThrow(int fieldId)`
Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`static TGetDelegationTokenResp._Fields`
TGetDelegationTokenResp._Fields.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TGetDelegationTokenResp._Fields[]`
TGetDelegationTokenResp._Fields.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetDelegationTokenResp._Fields
Modifier and Type
Method
Description
`Object`
TGetDelegationTokenResp.`getFieldValue(TGetDelegationTokenResp._Fields field)`
`boolean`
TGetDelegationTokenResp.`isSet(TGetDelegationTokenResp._Fields field)`
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`void`
TGetDelegationTokenResp.`setFieldValue(TGetDelegationTokenResp._Fields field, Object value)`